%global pypi_name netifaces

Name:           python-netifaces
Version:        0.10.6
Release:        %mkrel 3
Summary:        Python library to retrieve information about network interfaces
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/netifaces
Source0:        https://files.pythonhosted.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.xz

BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
This package provides a cross platform API for getting address information
from network interfaces.

%package -n python3-%{pypi_name}
Summary:        Python %{python3_pkgversion} library to retrieve information about network interfaces
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python3-%{pypi_name}
This package provides a cross platform API for getting address information
from network interfaces.

%prep
%setup -qn %{pypi_name}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitearch}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}

%files
%doc README.rst
%{python2_sitearch}/%{pypi_name}-%{version}-*.egg-info/
%{python2_sitearch}/%{pypi_name}.so

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitearch}/%{pypi_name}-%{version}-*.egg-info/
%{python3_sitearch}/%{pypi_name}*.so

%changelog
* Mon Aug 22 2022 tex - 0.10.6-3pclos2022
- rebuild against updates

* Fri Apr 13 2018 marcin82 <fixxer1982 at gmail.com> 0.10.6-2pclos2018
- rebuild with python 3.6.5

* Mon Aug 21 2017 bb2 <bb2> - 0.10.6-1pclos2017
- new version
